
/*----------------------------------------------------------------------------
   * Name:    mcu.h
   * Purpose: Header File for device dependent includes
   *          for Spansion FM3 High Performance Series
   * Note(s): defines set in "options for target - C/C++ - Define"
   *----------------------------------------------------------------------------
   * This file is part of the uVision/ARM development tools.
   * This software may only be used under the terms of a valid, current,
   * end user licence from KEIL for a compatible version of KEIL software
   * development tools. Nothing else gives you the right to use this software.
   *
   * This software is supplied "AS IS" without warranties of any kind.
   *
   * Copyright (c) 2013 Keil - An ARM Company. All rights reserved.
   *----------------------------------------------------------------------------*/


#ifndef _MCU_H_
#define _MCU_H_

#ifdef MB9BF102N
  #include "MB9B100A\mb9b100n.h"            // MB9BF102N header file include
  #include "MB9B100A\system_mb9bf10x.h"     // MB9BF102N system start-up header file include

#elif defined MB9BF102R
  #include "MB9B100A\mb9b100r.h"            // MB9BF102R header file include
  #include "MB9B100A\system_mb9bf10x.h"     // MB9BF102R system start-up header file include

#elif defined MB9BF104N
  #include "MB9B100A\mb9b100n.h"            // MB9BF104N header file include
  #include "MB9B100A\system_mb9bf10x.h"     // MB9BF104N system start-up header file include

#elif defined MB9BF104R
  #include "MB9B100A\mb9b100r.h"            // MB9BF104R header file include
  #include "MB9B100A\system_mb9bf10x.h"     // MB9BF104R system start-up header file include

#elif defined MB9BF105N
  #include "MB9B100A\mb9b100n.h"            // MB9BF105N header file include
  #include "MB9B100A\system_mb9bf10x.h"     // MB9BF105N system start-up header file include

#elif defined MB9BF105R
  #include "MB9B100A\mb9b100r.h"            // MB9BF105R header file include
  #include "MB9B100A\system_mb9bf10x.h"     // MB9BF105R system start-up header file include

#elif defined MB9BF106N
  #include "MB9B100A\mb9b100n.h"            // MB9BF106N header file include
  #include "MB9B100A\system_mb9bf10x.h"     // MB9BF106N system start-up header file include

#elif defined MB9BF106R
  #include "MB9B100A\mb9b100r.h"            // MB9BF106R header file include
  #include "MB9B100A\system_mb9bf10x.h"     // MB9BF106R system start-up header file include

#elif defined MB9BF112N
  #include "MB9B110R\mb9b110n.h"            // MB9BF112N header file include
  #include "MB9B110R\system_mb9bf11x.h"     // MB9BF112N system start-up header file include

#elif defined MB9BF112R
  #include "MB9B110R\mb9b110r.h"            // MB9BF112R header file include
  #include "MB9B110R\system_mb9bf11x.h"     // MB9BF112R system start-up header file include

#elif defined MB9BF114N
  #include "MB9B110R\mb9b110n.h"            // MB9BF114N header file include
  #include "MB9B110R\system_mb9bf11x.h"     // MB9BF114N system start-up header file include

#elif defined MB9BF114R
  #include "MB9B110R\mb9b110r.h"            // MB9BF114R header file include
  #include "MB9B110R\system_mb9bf11x.h"     // MB9BF114R system start-up header file include

#elif defined MB9BF115N
  #include "MB9B110R\mb9b110n.h"            // MB9BF115N header file include
  #include "MB9B110R\system_mb9bf11x.h"     // MB9BF115N system start-up header file include

#elif defined MB9BF115R
  #include "MB9B110R\mb9b110r.h"            // MB9BF115R header file include
  #include "MB9B110R\system_mb9bf11x.h"     // MB9BF115R system start-up header file include

#elif defined MB9BF116N
  #include "MB9B110R\mb9b110n.h"            // MB9BF116N header file include
  #include "MB9B110R\system_mb9bf11x.h"     // MB9BF116N system start-up header file include

#elif defined MB9BF116R
  #include "MB9B110R\mb9b110r.h"            // MB9BF116R header file include
  #include "MB9B110R\system_mb9bf11x.h"     // MB9BF116R system start-up header file include

#elif defined MB9BF116S
  #include "MB9B110T\mb9b110s.h"            // MB9BF116S header file include
  #include "MB9B110T\system_mb9bf11x.h"     // MB9BF116S system start-up header file include

#elif defined MB9BF116T
  #include "MB9B110T\mb9b110t.h"            // MB9BF116T header file include
  #include "MB9B110T\system_mb9bf11x.h"     // MB9BF116T system start-up header file include

#elif defined MB9BF117S
  #include "MB9B110T\mb9b110s.h"            // MB9BF117S header file include
  #include "MB9B110T\system_mb9bf11x.h"     // MB9BF117S system start-up header file include

#elif defined MB9BF117T
  #include "MB9B110T\mb9b110t.h"            // MB9BF117T header file include
  #include "MB9B110T\system_mb9bf11x.h"     // MB9BF117T system start-up header file include

#elif defined MB9BF118S
  #include "MB9B110T\mb9b110s.h"            // MB9BF118S header file include
  #include "MB9B110T\system_mb9bf11x.h"     // MB9BF118S system start-up header file include

#elif defined MB9BF118T
  #include "MB9B110T\mb9b110t.h"            // MB9BF118T header file include
  #include "MB9B110T\system_mb9bf11x.h"     // MB9BF118T system start-up header file include

#elif defined MB9BF216S
  #include "MB9B210T\mb9b210s.h"            // MB9BF216S header file include
  #include "MB9B210T\system_mb9bf21x.h"     // MB9BF216S system start-up header file include

#elif defined MB9BF216T
  #include "MB9B210T\mb9b210t.h"            // MB9BF216T header file include
  #include "MB9B210T\system_mb9bf21x.h"     // MB9BF216T system start-up header file include

#elif defined MB9BF217S
  #include "MB9B210T\mb9b210s.h"            // MB9BF217S header file include
  #include "MB9B210T\system_mb9bf21x.h"     // MB9BF217S system start-up header file include

#elif defined MB9BF217T
  #include "MB9B210T\mb9b210t.h"            // MB9BF217T header file include
  #include "MB9B210T\system_mb9bf21x.h"     // MB9BF217T system start-up header file include

#elif defined MB9BF218S
  #include "MB9B210T\mb9b210s.h"            // MB9BF218S header file include
  #include "MB9B210T\system_mb9bf21x.h"     // MB9BF218S system start-up header file include

#elif defined MB9BF218T
  #include "MB9B210T\mb9b210t.h"            // MB9BF218T header file include
  #include "MB9B210T\system_mb9bf21x.h"     // MB9BF218T system start-up header file include

#elif defined MB9BF304N
  #include "MB9B300B\mb9b300n.h"            // MB9BF304N header file include
  #include "MB9B300B\system_mb9bf30x.h"     // MB9BF304N system start-up header file include

#elif defined MB9BF304R
  #include "MB9B300B\mb9b300r.h"            // MB9BF304R header file include
  #include "MB9B300B\system_mb9bf30x.h"     // MB9BF304R system start-up header file include

#elif defined MB9BF305N
  #include "MB9B300B\mb9b300n.h"            // MB9BF305N header file include
  #include "MB9B300B\system_mb9bf30x.h"     // MB9BF305N system start-up header file include

#elif defined MB9BF305R
  #include "MB9B300B\mb9b300r.h"            // MB9BF305R header file include
  #include "MB9B300B\system_mb9bf30x.h"     // MB9BF305R system start-up header file include

#elif defined MB9BF306N
  #include "MB9B300B\mb9b300n.h"            // MB9BF306N header file include
  #include "MB9B300B\system_mb9bf30x.h"     // MB9BF306N system start-up header file include

#elif defined MB9BF306R
  #include "MB9B300B\mb9b300r.h"            // MB9BF306R header file include
  #include "MB9B300B\system_mb9bf30x.h"     // MB9BF306R system start-up header file include

#elif defined MB9BF312N
  #include "MB9B310R\mb9b310n.h"            // MB9BF312N header file include
  #include "MB9B310R\system_mb9bf31x.h"     // MB9BF312N system start-up header file include

#elif defined MB9BF312R
  #include "MB9B310R\mb9b310r.h"            // MB9BF312R header file include
  #include "MB9B310R\system_mb9bf31x.h"     // MB9BF312R system start-up header file include

#elif defined MB9BF314N
  #include "MB9B310R\mb9b310n.h"            // MB9BF314N header file include
  #include "MB9B310R\system_mb9bf31x.h"     // MB9BF314N system start-up header file include

#elif defined MB9BF314R
  #include "MB9B310R\mb9b310r.h"            // MB9BF314R header file include
  #include "MB9B310R\system_mb9bf31x.h"     // MB9BF314R system start-up header file include

#elif defined MB9BF315N
  #include "MB9B310R\mb9b310n.h"            // MB9BF315N header file include
  #include "MB9B310R\system_mb9bf31x.h"     // MB9BF315N system start-up header file include

#elif defined MB9BF315R
  #include "MB9B310R\mb9b310r.h"            // MB9BF315R header file include
  #include "MB9B310R\system_mb9bf31x.h"     // MB9BF315R system start-up header file include

#elif defined MB9BF316N
  #include "MB9B310R\mb9b310n.h"            // MB9BF316N header file include
  #include "MB9B310R\system_mb9bf31x.h"     // MB9BF316N system start-up header file include

#elif defined MB9BF316R
  #include "MB9B310R\mb9b310r.h"            // MB9BF316R header file include
  #include "MB9B310R\system_mb9bf31x.h"     // MB9BF316R system start-up header file include

#elif defined MB9BF316S
  #include "MB9B310T\mb9b310s.h"            // MB9BF316S header file include
  #include "MB9B310T\system_mb9bf31x.h"     // MB9BF316S system start-up header file include

#elif defined MB9BF316T
  #include "MB9B310T\mb9b310t.h"            // MB9BF316T header file include
  #include "MB9B310T\system_mb9bf31x.h"     // MB9BF316T system start-up header file include

#elif defined MB9BF317S
  #include "MB9B310T\mb9b310s.h"            // MB9BF317S header file include
  #include "MB9B310T\system_mb9bf31x.h"     // MB9BF317S system start-up header file include

#elif defined MB9BF317T
  #include "MB9B310T\mb9b310t.h"            // MB9BF317T header file include
  #include "MB9B310T\system_mb9bf31x.h"     // MB9BF317T system start-up header file include

#elif defined MB9BF318S
  #include "MB9B310T\mb9b310s.h"            // MB9BF318S header file include
  #include "MB9B310T\system_mb9bf31x.h"     // MB9BF318S system start-up header file include

#elif defined MB9BF318T
  #include "MB9B310T\mb9b310t.h"            // MB9BF318T header file include
  #include "MB9B310T\system_mb9bf31x.h"     // MB9BF318T system start-up header file include

#elif defined MB9BF404N
  #include "MB9B400A\mb9b400n.h"            // MB9BF404N header file include
  #include "MB9B400A\system_mb9bf40x.h"     // MB9BF404N system start-up header file include

#elif defined MB9BF404R
  #include "MB9B400A\mb9b400r.h"            // MB9BF404R header file include
  #include "MB9B400A\system_mb9bf40x.h"     // MB9BF404R system start-up header file include

#elif defined MB9BF405N
  #include "MB9B400A\mb9b400n.h"            // MB9BF405N header file include
  #include "MB9B400A\system_mb9bf40x.h"     // MB9BF405N system start-up header file include

#elif defined MB9BF405R
  #include "MB9B400A\mb9b400r.h"            // MB9BF405R header file include
  #include "MB9B400A\system_mb9bf40x.h"     // MB9BF405R system start-up header file include

#elif defined MB9BF406N
  #include "MB9B400A\mb9b400n.h"            // MB9BF406N header file include
  #include "MB9B400A\system_mb9bf40x.h"     // MB9BF406N system start-up header file include

#elif defined MB9BF406R
  #include "MB9B400A\mb9b400r.h"            // MB9BF406R header file include
  #include "MB9B400A\system_mb9bf40x.h"     // MB9BF406R system start-up header file include

#elif defined MB9BF412N
  #include "MB9B410R\mb9b410n.h"            // MB9BF412N header file include
  #include "MB9B410R\system_mb9bf41x.h"     // MB9BF412N system start-up header file include

#elif defined MB9BF412R
  #include "MB9B410R\mb9b410r.h"            // MB9BF412R header file include
  #include "MB9B410R\system_mb9bf41x.h"     // MB9BF412R system start-up header file include

#elif defined MB9BF414N
  #include "MB9B410R\mb9b410n.h"            // MB9BF414N header file include
  #include "MB9B410R\system_mb9bf41x.h"     // MB9BF414N system start-up header file include

#elif defined MB9BF414R
  #include "MB9B410R\mb9b410r.h"            // MB9BF414R header file include
  #include "MB9B410R\system_mb9bf41x.h"     // MB9BF414R system start-up header file include

#elif defined MB9BF415N
  #include "MB9B410R\mb9b410n.h"            // MB9BF415N header file include
  #include "MB9B410R\system_mb9bf41x.h"     // MB9BF415N system start-up header file include

#elif defined MB9BF415R
  #include "MB9B410R\mb9b410r.h"            // MB9BF415R header file include
  #include "MB9B410R\system_mb9bf41x.h"     // MB9BF415R system start-up header file include

#elif defined MB9BF416N
  #include "MB9B410R\mb9b410n.h"            // MB9BF416N header file include
  #include "MB9B410R\system_mb9bf41x.h"     // MB9BF416N system start-up header file include

#elif defined MB9BF416R
  #include "MB9B410R\mb9b410r.h"            // MB9BF416R header file include
  #include "MB9B410R\system_mb9bf41x.h"     // MB9BF416R system start-up header file include

#elif defined MB9BF416S
  #include "MB9B410T\mb9b410s.h"            // MB9BF416S header file include
  #include "MB9B410T\system_mb9bf41x.h"     // MB9BF416S system start-up header file include

#elif defined MB9BF416T
  #include "MB9B410T\mb9b410t.h"            // MB9BF416T header file include
  #include "MB9B410T\system_mb9bf41x.h"     // MB9BF416T system start-up header file include

#elif defined MB9BF417S
  #include "MB9B410T\mb9b410s.h"            // MB9BF417S header file include
  #include "MB9B410T\system_mb9bf41x.h"     // MB9BF417S system start-up header file include

#elif defined MB9BF417T
  #include "MB9B410T\mb9b410t.h"            // MB9BF417T header file include
  #include "MB9B410T\system_mb9bf41x.h"     // MB9BF417T system start-up header file include

#elif defined MB9BF418S
  #include "MB9B410T\mb9b410s.h"            // MB9BF418S header file include
  #include "MB9B410T\system_mb9bf41x.h"     // MB9BF418S system start-up header file include

#elif defined MB9BF418T
  #include "MB9B410T\mb9b410t.h"            // MB9BF418T header file include
  #include "MB9B410T\system_mb9bf41x.h"     // MB9BF418T system start-up header file include

#elif defined MB9BF500N
  #include "MB9BF50x\MB9BF50x.h"            // MB9BF500N header file include
  #include "MB9BF50x\system_MB9BF50x.h"     // MB9BF500N system start-up header file include

#elif defined MB9BF500R
  #include "MB9BF50x\MB9BF50x.h"            // MB9BF500R header file include
  #include "MB9BF50x\system_MB9BF50x.h"     // MB9BF500R system start-up header file include

#elif defined MB9BF504N
  #include "MB9B500B\mb9b500n.h"            // MB9BF504N header file include
  #include "MB9B500B\system_mb9bf50x.h"     // MB9BF504N system start-up header file include

#elif defined MB9BF504R
  #include "MB9B500B\mb9b500r.h"            // MB9BF504R header file include
  #include "MB9B500B\system_mb9bf50x.h"     // MB9BF504R system start-up header file include

#elif defined MB9BF505N
  #include "MB9B500B\mb9b500n.h"            // MB9BF505N header file include
  #include "MB9B500B\system_mb9bf50x.h"     // MB9BF505N system start-up header file include

#elif defined MB9BF505R
  #include "MB9B500B\mb9b500r.h"            // MB9BF505R header file include
  #include "MB9B500B\system_mb9bf50x.h"     // MB9BF505R system start-up header file include

#elif defined MB9BF506N
  #include "MB9B500B\mb9b500n.h"            // MB9BF506N header file include
  #include "MB9B500B\system_mb9bf50x.h"     // MB9BF506N system start-up header file include

#elif defined MB9BF506R
  #include "MB9B500B\mb9b500r.h"            // MB9BF506R header file include
  #include "MB9B500B\system_mb9bf50x.h"     // MB9BF506R system start-up header file include

#elif defined MB9BF512N
  #include "MB9B510R\mb9b510n.h"            // MB9BF512N header file include
  #include "MB9B510R\system_mb9bf51x.h"     // MB9BF512N system start-up header file include

#elif defined MB9BF512R
  #include "MB9B510R\mb9b510r.h"            // MB9BF512R header file include
  #include "MB9B510R\system_mb9bf51x.h"     // MB9BF512R system start-up header file include

#elif defined MB9BF514N
  #include "MB9B510R\mb9b510n.h"            // MB9BF514N header file include
  #include "MB9B510R\system_mb9bf51x.h"     // MB9BF514N system start-up header file include

#elif defined MB9BF514R
  #include "MB9B510R\mb9b510r.h"            // MB9BF514R header file include
  #include "MB9B510R\system_mb9bf51x.h"     // MB9BF514R system start-up header file include

#elif defined MB9BF515N
  #include "MB9B510R\mb9b510n.h"            // MB9BF515N header file include
  #include "MB9B510R\system_mb9bf51x.h"     // MB9BF515N system start-up header file include

#elif defined MB9BF515R
  #include "MB9B510R\mb9b510r.h"            // MB9BF515R header file include
  #include "MB9B510R\system_mb9bf51x.h"     // MB9BF515R system start-up header file include

#elif defined MB9BF516N
  #include "MB9B510R\mb9b510n.h"            // MB9BF516N header file include
  #include "MB9B510R\system_mb9bf51x.h"     // MB9BF516N system start-up header file include

#elif defined MB9BF516R
  #include "MB9B510R\mb9b510r.h"            // MB9BF516R header file include
  #include "MB9B510R\system_mb9bf51x.h"     // MB9BF516R system start-up header file include

#elif defined MB9BF516S
  #include "MB9B510T\mb9b510s.h"            // MB9BF516S header file include
  #include "MB9B510T\system_mb9bf51x.h"     // MB9BF516S system start-up header file include

#elif defined MB9BF516T
  #include "MB9B510T\mb9b510t.h"            // MB9BF516T header file include
  #include "MB9B510T\system_mb9bf51x.h"     // MB9BF516T system start-up header file include

#elif defined MB9BF517S
  #include "MB9B510T\mb9b510s.h"            // MB9BF517S header file include
  #include "MB9B510T\system_mb9bf51x.h"     // MB9BF517S system start-up header file include

#elif defined MB9BF517T
  #include "MB9B510T\mb9b510t.h"            // MB9BF517T header file include
  #include "MB9B510T\system_mb9bf51x.h"     // MB9BF517T system start-up header file include

#elif defined MB9BF518S
  #include "MB9B510T\mb9b510s.h"            // MB9BF518S header file include
  #include "MB9B510T\system_mb9bf51x.h"     // MB9BF518S system start-up header file include

#elif defined MB9BF518T
  #include "MB9B510T\mb9b510t.h"            // MB9BF518T header file include
  #include "MB9B510T\system_mb9bf51x.h"     // MB9BF518T system start-up header file include

#elif defined MB9BF616S
  #include "MB9B610T\mb9b610s.h"            // MB9BF616S header file include
  #include "MB9B610T\system_mb9bf61x.h"     // MB9BF616S system start-up header file include

#elif defined MB9BF616T
  #include "MB9B610T\mb9b610t.h"            // MB9BF616T header file include
  #include "MB9B610T\system_mb9bf61x.h"     // MB9BF616T system start-up header file include

#elif defined MB9BF617S
  #include "MB9B610T\mb9b610s.h"            // MB9BF617S header file include
  #include "MB9B610T\system_mb9bf61x.h"     // MB9BF617S system start-up header file include

#elif defined MB9BF617T
  #include "MB9B610T\mb9b610t.h"            // MB9BF617T header file include
  #include "MB9B610T\system_mb9bf61x.h"     // MB9BF617T system start-up header file include

#elif defined MB9BF618S
  #include "MB9B610T\mb9b610s.h"            // MB9BF618S header file include
  #include "MB9B610T\system_mb9bf61x.h"     // MB9BF618S system start-up header file include

#elif defined MB9BF618T
  #include "MB9B610T\mb9b610t.h"            // MB9BF618T header file include
  #include "MB9B610T\system_mb9bf61x.h"     // MB9BF618T system start-up header file include

#elif defined MB9BFD16S
  #include "MB9BD10T\mb9bd10s.h"            // MB9BFD16S header file include
  #include "MB9BD10T\system_mb9bfd1x.h"     // MB9BFD16S system start-up header file include

#elif defined MB9BFD16T
  #include "MB9BD10T\mb9bd10t.h"            // MB9BFD16T header file include
  #include "MB9BD10T\system_mb9bfd1x.h"     // MB9BFD16T system start-up header file include

#elif defined MB9BFD17S
  #include "MB9BD10T\mb9bd10s.h"            // MB9BFD17S header file include
  #include "MB9BD10T\system_mb9bfd1x.h"     // MB9BFD17S system start-up header file include

#elif defined MB9BFD17T
  #include "MB9BD10T\mb9bd10t.h"            // MB9BFD17T header file include
  #include "MB9BD10T\system_mb9bfd1x.h"     // MB9BFD17T system start-up header file include

#elif defined MB9BFD18S
  #include "MB9BD10T\mb9bd10s.h"            // MB9BFD18S header file include
  #include "MB9BD10T\system_mb9bfd1x.h"     // MB9BFD18S system start-up header file include

#elif defined MB9BFD18T
  #include "MB9BD10T\mb9bd10t.h"            // MB9BFD18T header file include
  #include "MB9BD10T\system_mb9bfd1x.h"     // MB9BFD18T system start-up header file include

#else
  #error "No MCU defined!"

#endif  /* MCU List */

#endif  /* #ifdef _MCU_H_ */
